<?php
level($user_data, 2, $home);
switch($act)
	{
		default:
		$title = 'Панель управления | Управление категориями';
		$data = array();
		$category = $mysqli->query("SELECT `id`,`name`,`count` FROM `category` ORDER BY `name` ASC");
		if($category->num_rows > 0)
			{ 
			      while($row = $category->fetch_assoc())
					{
						$data[] = $row;
					}
			}
		echo $twig->render('panel/category/index.tpl',array('title' => $title, 'sait_name' => $set['name_sait'],'user_data' => $user_data,  'home' => $home, 'style' => $style, 'data' => $data));
		break;
		case 'category_add':
		$title = 'Панель управления | Добавление категории';
		if(!isset($_POST['ok']))
			{
				echo $twig->render('panel/category/category_add.tpl',array('title' => $title, 'sait_name' => $set['name_sait'],'user_data' => $user_data,  'home' => $home, 'style' => $style));
			}
		else
			{
				$name = filterIn($mysqli,$_POST['name']);
				$error = '';
				if(empty($name))
					{
						$error .= 'Не заполнено поле.<br>';
					}
				if(mb_strlen($name) > 30)
					{
						$error .= 'Поле "Имя категории" больше 30 символов.<br>';
					}
				if(!empty($error))
					{
						echo $twig->render('system/error.tpl',array('title' => 'Ошибка','user_data' => $user_data,   'home' => $home, 'style' => $style, 'error' => $error, 'backLink' => 'http://'.$home.'/admin_category;;category_add'));
					}
				else
					{
						$mysqli->query("INSERT INTO `category` VALUES ('', '".$name."','0')");
						echo $twig->render('system/succes.tpl',array('title' => $title, 'sait_name' => $set['name_sait'],'user_data' => $user_data, 'home' => $home, 'style' => $style, 'text' => 'Категория успешно создана.<br><a href="http://'.$home.'/admin_category">Управление категориями</a><br>'));  
					}
			}
		break;
		case 'category_edit':
		$title = 'Панель управления | Редактирование категории';
		$category = $mysqli->query("SELECT * FROM `category` WHERE `id` = '".$id."'");
		if($category->num_rows > 0)
			{
			      $row = $category->fetch_assoc();
			      if(!isset($_POST['ok']))
				      {
					      echo $twig->render('panel/category/category_edit.tpl',array('title' => $title, 'sait_name' => $set['name_sait'],'user_data' => $user_data,  'home' => $home, 'style' => $style, 'data' => $row));
				      }
			      else
				      {
					      $name = filterIn($mysqli,$_POST['name']);
					      $error = '';
					      if(empty($name))
						      {
							      $error .= 'Не заполнено поле.<br/>';
						      }
					      if(mb_strlen($name) > 30)
						      {
							      $error .= 'Поле "Имя категории" больше 30 символов.<br/>';
						      }
					      if(!empty($error))
						      {
							      echo $twig->render('system/error.tpl',array('title' => 'Ошибка','user_data' => $user_data,   'home' => $home, 'style' => $style, 'error' => $error, 'backLink' => 'http://'.$home.'/admin_category;'.$id.';category_edit'));
						      }
					      else
						      {
							      $mysqli->query("UPDATE `category` SET `name` = '".$name."' WHERE `id` = '".$id."'");
							      echo $twig->render('system/succes.tpl',array('title' => $title, 'sait_name' => $set['name_sait'],'user_data' => $user_data, 'home' => $home, 'style' => $style, 'text' => 'Категория успешно изменена.<br><a href="http://'.$home.'/admin_category">Управление категориями</a><br>'));  
						      }
				      }
			}
		else
			{
				echo $twig->render('system/error.tpl',array('title' => 'Ошибка','user_data' => $user_data,   'home' => $home, 'style' => $style, 'error' => 'Категории не существует.<br>', 'backLink' => 'http://'.$home.'/admin_category'));
			}
		break;
		case 'category_delete':
		$title = 'Панель управления | Удаление категории';
		$category = $mysqli->query("SELECT `name` FROM `category` WHERE `id` = '".$id."'");
		if($category->num_rows > 0)
			{
				if(!isset($_POST['ok']))
				      {
						$data = array();
						$categories = $mysqli->query("SELECT `id`,`name` FROM `category` WHERE `id` <> '".$id."' ORDER BY `name` ASC");
						if($categories->num_rows > 0)
							{
								while($array = $categories->fetch_assoc())
									{
										$data[] = $array;
									}
							}
						echo $twig->render('panel/category/category_delete.tpl',array('title' => $title, 'sait_name' => $set['name_sait'],'user_data' => $user_data,  'home' => $home, 'style' => $style, 'data' => $data));
					}
					else
					{
						$error = '';
						$cid = abs(intval($_POST['cid']));
						$isset_category = $mysqli->query("SELECT `id` FROM `category` WHERE `id` = '".$cid."'");
						if($isset_category->num_rows == 0)
							{
								$error = 'Категории , в которую вы хотели переместить сайты, нет.<br/>';
							}
						if($cid == $id)
							{
								$error = 'Нельзя перемещать в удаляемую категорию.<br/>';
							}
						if(!empty($error))
							{
								echo $twig->render('system/error.tpl',array('title' => 'Ошибка','user_data' => $user_data,   'home' => $home, 'style' => $style, 'error' => $error, 'backLink' => 'http://'.$home.'/admin_category;'.$id.';category_delete'));
							}	
							else
							{
								$saits = $mysqli->query("SELECT `id` FROM `sait` WHERE `category` = '".$id."'")->num_rows;
								$mysqli->query("UPDATE `sait` SET `category` = '".$cid."' WHERE `category` = '".$id."'");
								$mysqli->query("UPDATE `category` SET `count` = (`count` + ".$saits.") WHERE `id` = '".$cid."'");
								$mysqli->query("DELETE FROM `category` WHERE `id` = '".$id."'");
								echo $twig->render('system/succes.tpl',array('title' => $title, 'sait_name' => $set['name_sait'],'user_data' => $user_data, 'home' => $home, 'style' => $style, 'text' => 'Категория успешно удалена.<br><a href="http://'.$home.'/admin_category">Управление категориями</a><br>'));  
							}
					}
			}
		else
			{
				echo $twig->render('system/error.tpl',array('title' => 'Ошибка','user_data' => $user_data,   'home' => $home, 'style' => $style, 'error' => 'Категории не существует.<br>', 'backLink' => 'http://'.$home.'/admin_category'));
			}
		break;
	}
?>
